38 lines
1.0 KiB
Diff
38 lines
1.0 KiB
Diff
|
From f8d50f60b376682217eb1a88e2e07c54cd5e9955 Mon Sep 17 00:00:00 2001
|
||
|
From: Harald Hoyer <harald@redhat.com>
|
||
|
Date: Mon, 23 Apr 2012 11:30:08 +0200
|
||
|
Subject: [PATCH] base/dracut-lib.sh: add arguments for source_hook() and
|
||
|
source_all()
|
||
|
|
||
|
---
|
||
|
modules.d/99base/dracut-lib.sh | 10 +++++++---
|
||
|
1 file changed, 7 insertions(+), 3 deletions(-)
|
||
|
|
||
|
diff --git a/modules.d/99base/dracut-lib.sh b/modules.d/99base/dracut-lib.sh
|
||
|
index a4aa20c..a6b8d1a 100755
|
||
|
--- a/modules.d/99base/dracut-lib.sh
|
||
|
+++ b/modules.d/99base/dracut-lib.sh
|
||
|
@@ -264,15 +264,19 @@ setdebug
|
||
|
|
||
|
source_all() {
|
||
|
local f
|
||
|
- [ "$1" ] && [ -d "/$1" ] || return
|
||
|
- for f in "/$1"/*.sh; do [ -e "$f" ] && . "$f"; done
|
||
|
+ local _dir
|
||
|
+ _dir=$1; shift
|
||
|
+ [ "$_dir" ] && [ -d "/$_dir" ] || return
|
||
|
+ for f in "/$_dir"/*.sh; do [ -e "$f" ] && . "$f" "$@"; done
|
||
|
}
|
||
|
|
||
|
hookdir=/lib/dracut/hooks
|
||
|
export hookdir
|
||
|
|
||
|
source_hook() {
|
||
|
- source_all "/lib/dracut/hooks/$1"
|
||
|
+ local _dir
|
||
|
+ _dir=$1; shift
|
||
|
+ source_all "/lib/dracut/hooks/$_dir" "$@"
|
||
|
}
|
||
|
|
||
|
check_finished() {
|